<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AutoreportModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * AutoreportAvailabilityLog Entity
 *
 * @property int $id
 * @property int $year
 * @property int $quarter
 * @property string $filename
 * @property \Cake\I18n\FrozenTime $created
 */
class AutoreportQuarterly extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id'       => true,
        'year'     => true,
        'quarter'  => true,
        'filename' => true,
        'created'  => true
    ];
}
