<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

/**
 * @var \App\View\AppView $this
 */

echo $this->element('emails/style');

use itnovum\openITCOCKPIT\Core\FileDebugger; ?>


<!-- ########## EMAIL CONTENT ############### -->

<body bgcolor="#FFFFFF">

<!-- HEADER -->
<table class="head-wrap">
    <tr>
        <td></td>
        <td class="header container">

            <div class="content">
                <table>
                    <tr>
                        <td><img src="cid:100" width="60"/></td>
                        <td align="right">
                            <h6><?= __('Quarterly auto report') ?></h6>
                        </td>
                    </tr>
                </table>
            </div>

        </td>
        <td></td>
    </tr>
</table>
<!-- /HEADER -->


<!-- BODY -->
<table class="body-wrap">
    <tr>
        <td></td>
        <td class="container" bgcolor="#FFFFFF">
            <div class="content">
                <table>
                    <tr>
                        <td>
                            <h4><?= __('Quarterly auto report informations') ?></h4>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p>
                                <?= h($quarterlyAutoreportmessage); ?>
                            </p>
                        </td>
                    </tr>
                    <?php
                    if (!empty($quarterlyAutoreportObjects)):
                        foreach ($quarterlyAutoreportObjects as $object): ?>
                            <tr><td><?= __('Host'); ?>: <b><?= h($object['name']); ?></b></td></tr>
                                <?php
                                if (!empty($object['services'])):
                                    foreach ($object['services'] as $service):?>
                                        <tr><td><?= __('Service'); ?>: <b><?= h($service); ?></b></td></td></tr>
                                    <?php endforeach;
                                endif;
                                ?>
                        <?php endforeach;
                    endif; ?>
                </table>
            </div>
        </td>
        <td></td>
    </tr>
</table>
<table class="footer-wrap">
    <tr>
        <td></td>
        <td class="container">
            <div class="content">
                <table>
                    <tr>
                        <hr noshade width="560" size="3" align="left">
                        <br>
                        <td align="center">
                            <p>
                                <a href="https://openitcockpit.io/"><?php echo __('openITCOCKPIT'); ?></a>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <p>
                                <?= date('l jS \of F Y') ?>
                            </p>
                            <p>
                                <?= date('H:i:s') ?>
                            </p>
                        </td>
                    </tr>
                </table>
            </div>
        </td>
        <td></td>
    </tr>
</table>
