angular.module('openITCOCKPIT')
    .controller('AutoreportsServiceUsedByController', function($scope, $state, $stateParams, $http, RedirectService){

        $scope.id = $stateParams.id;
        $scope.deleteUrl = '/autoreport_module/autoreports/delete/';

        $scope.getObjectForDelete = function(Autoreport){
            var object = {};
            object[Autoreport.id] = Autoreport.name;
            return object;
        };

        $scope.load = function(){
            $http.get("/autoreport_module/autoreports/serviceUsedBy/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.service = result.data.service;
                $scope.autoreports = result.data.autoreports;

                $scope.init = false;
            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };


        //Fire on page load
        $scope.load();
    });
