openITCOCKPIT.config(function($stateProvider){
    $stateProvider
        .state('AutoreportsIndex', {
            url: '/autoreport_module/autoreports/index',
            templateUrl: '/autoreport_module/autoreports/index.html',
            controller: 'AutoreportsIndexController'
        })

        .state('AutoreportsAddStepOne', {
            url: '/autoreport_module/autoreports/addStepOne',
            templateUrl: '/autoreport_module/autoreports/addStepOne.html',
            controller: 'AutoreportsAddStepOneController'
        })
        .state('AutoreportsAddStepTwo', {
            url: '/autoreport_module/autoreports/addStepTwo/:id',
            templateUrl: '/autoreport_module/autoreports/addStepTwo.html',
            controller: 'AutoreportsAddStepTwoController'
        })
        .state('AutoreportsEditStepOne', {
            url: '/autoreport_module/autoreports/editStepOne/:id',
            templateUrl: '/autoreport_module/autoreports/editStepOne.html',
            controller: 'AutoreportsEditStepOneController'
        })
        .state('AutoreportsEditStepTwo', {
            url: '/autoreport_module/autoreports/editStepTwo/:id',
            templateUrl: '/autoreport_module/autoreports/editStepTwo.html',
            controller: 'AutoreportsEditStepTwoController'
        })
        .state('AutoreportsEditStepThree', {
            url: '/autoreport_module/autoreports/editStepThree/:id',
            templateUrl: '/autoreport_module/autoreports/editStepThree.html',
            controller: 'AutoreportsEditStepThreeController'
        })
        .state('AutoreportsGenerateReport', {
            url: '/autoreport_module/autoreports/generate/:id',
            templateUrl: '/autoreport_module/autoreports/generate.html',
            controller: 'AutoreportsGenerateController'
        })

        .state('AutoreportsHostUsedBy', {
            url: '/autoreport_module/autoreports/hostUsedBy/:id',
            templateUrl: '/autoreport_module/autoreports/hostUsedBy.html',
            controller: 'AutoreportsHostUsedByController'
        })

        .state('AutoreportsServiceUsedBy', {
            url: '/autoreport_module/autoreports/serviceUsedBy/:id',
            templateUrl: '/autoreport_module/autoreports/serviceUsedBy.html',
            controller: 'AutoreportsServiceUsedByController'
        })

        .state('AutoreportSettingsIndex', {
            url: '/autoreport_module/autoreport_settings/index',
            templateUrl: '/autoreport_module/autoreport_settings/index.html',
            controller: 'AutoreportSettingsIndexController'
        });
});
