<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AutoreportModule\Lib;


use itnovum\openITCOCKPIT\Core\ServiceConditions;

class AutoreportServiceConditions extends ServiceConditions {

    /**
     * @var array
     */
    private $hostIds = [];


    /**
     * @return array
     */
    public function getHostIds() {
        return $this->hostIds;
    }

    /**
     * @param array $hostIds
     */
    public function setHostIds($hostIds) {
        $this->hostIds = $hostIds;
    }
}
