<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * ContainerUserMembership Entity
 *
 * @property int $id
 * @property int $autoreport_id
 * @property int $host_id
 * @property int $service_id
 * @property int $outage_duration
 * @property int $configuration_option
 * @property string $graph_settings
 */
class AutoreportServiceMembership extends Entity {

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'autoreport_id'        => true,
        'host_id'              => true,
        'service_id'           => true,
        'outage_duration'      => true,
        'configuration_option' => true,
        'graph_settings'       => true,
    ];
}
