angular.module('openITCOCKPIT')
    .controller('AutoreportsEditStepThreeController', function($scope, $state, $http, $stateParams){
        $scope.init = true;
        $scope.id = $stateParams.id;
        $scope.autoreport = null;

        $scope.load = function(){
            var params = {
                'angular': true
            };

            $http.get("/autoreport_module/autoreports/editStepThree/" + $scope.id + ".json", {
                params: params
            }).then(function(result){
                $scope.autoreport = result.data.autoreport;
                $scope.init = false;
            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };

        $scope.getBitValueClass = function(configurationOptions, bitValue){
            if(configurationOptions & bitValue){
                return 'fa fa-check up'
            }

            return 'fa fa-times down';
        };

        //Fire on page load
        $scope.load();
    });